# collada.scene.CameraNode

class `collada.scene.``CameraNode`(camera, xmlnode=None)

  Bases: `collada.scene.SceneNode`

  Represents a camera being instantiated in a scene, as defined in the collada <instance_camera> tag.

  `__init__`(camera, xmlnode=None)

    Create a camera instance

    Parameters:

    - camera (collada.camera.Camera) – The camera being instantiated
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(camera[, xmlnode]) | Create a camera instance
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Yields a `collada.camera.BoundCamera` if `tipo=='camera'`
  `save`() | Saves the camera node back to `xmlnode`

  `camera` = None

    An object of type `collada.camera.Camera` representing the instantiated camera

  `xmlnode` = None

    ElementTree representation of the camera node.

  `objects`(tipo, matrix=None)

    Yields a `collada.camera.BoundCamera` if `tipo=='camera'`

  static `load`(collada, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Saves the camera node back to `xmlnode`